Subject: Re: bug#36240: indent-code.el is not aware of (package (inherit ...)) style

From: Ludovic Courtès <[email-masked]>
Date: Mon, 17 Jun 2019 11:39:00 +0200

Hi Robert,

Robert Vollmert <[email-masked]> skribis:

> When encountering a package definition that starts
>
>   (package (inherit other-package))
>
> etc/indent-code.el will indent the rest of the package body
> to align with the start of (inherit. That seems to be a
> common idiom, used in roughly half of the instances:
>
> guix/gnu/packages$ git grep '(inherit ' | wc -l
> 905
> guix/gnu/packages$ git grep '(inherit ' | grep package | wc -l
> 425

It’s a corner case, and one of the reasons I (and others, I think) are
now usually writing:

  (package
    (inherit p)
    …)

I’m not sure we can teach Emacs the other rule; maybe sometimes we have
to accept limitations like this one.  :-)

Ludo’.